| CPTAndroidAPI (CustomPowerTool Android Api) 1.26

Public Member Functions | Static Public Attributes | List of all members
it.custom.powertool.api.android.CustomXmlException Class Reference

## Public Member Functions
| CustomXmlException (long lErrorCode)
| CustomXmlException (long lErrorCode, String strAddErrorDescr)
| CustomXmlException (String strMessage)
long | GetErrorCode ()
String | toString ()
String | getMessage ()
String | getAddMessage ()

## Static Public Attributes
static final int | CUSTOM_XMLPRINT_SUCCESS = 0
static final int | CUSTOM_XMLPRINT_GENERIC_FAILURE = 1
static final int | CUSTOM_XMLPRINT_INVALID_ARGUMENT = 2
static final int | CUSTOM_XMLPRINT_NOT_VALID_PRINTER = 3
static final int | CUSTOM_XMLPRINT_INTERNAL_LIBRARY_ERROR = 4
static final int | CUSTOM_XMLPRINT_LIBRARY_ERROR = 5
static final int | CUSTOM_XMLPRINT_PARSE_ERROR = 6
static final int | CUSTOM_XMLPRINT_NOT_CUSTOM_PRINTER = 7
static final int | CUSTOM_XMLPRINT_FEATURE_NOT_ENABLED = 8
static final int | CUSTOM_XMLPRINT_SECURITY_ERROR = 9
static final int | CUSTOM_XMLPRINT_FONT_NOT_AVAILABLE = 10

## Detailed Description

Exception class for CustomXmlAndroidAPI

## Constructor & Destructor Documentation

## ◆ CustomXmlException() [1/3]

it.custom.powertool.api.android.CustomXmlException.CustomXmlException | ( | long | lErrorCode | ) |
| inline

## ◆ CustomXmlException() [2/3]

it.custom.powertool.api.android.CustomXmlException.CustomXmlException | ( | long | lErrorCode,
|  | String | strAddErrorDescr
| ) |  |
| inline

## ◆ CustomXmlException() [3/3]

it.custom.powertool.api.android.CustomXmlException.CustomXmlException | ( | String | strMessage | ) |
| inline

## Member Function Documentation

## ◆ getAddMessage()

String it.custom.powertool.api.android.CustomXmlException.getAddMessage | ( |  | ) |
| inline

Returns the Additional Error String description

Returns
  the Additional Error String description

## ◆ GetErrorCode()

long it.custom.powertool.api.android.CustomXmlException.GetErrorCode | ( |  | ) |
| inline

Returns the error code

Returns
  the error code

## ◆ getMessage()

String it.custom.powertool.api.android.CustomXmlException.getMessage | ( |  | ) |
| inline

Returns the String with the error code and its description

Returns
  the String with the error code and its description

## ◆ toString()

String it.custom.powertool.api.android.CustomXmlException.toString | ( |  | ) |
| inline

Returns the String with the error code and its description

Returns
  the String with the error code and its description

## Member Data Documentation

## ◆ CUSTOM_XMLPRINT_FEATURE_NOT_ENABLED

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_FEATURE_NOT_ENABLED = 8
| static

Feature not enabled

## ◆ CUSTOM_XMLPRINT_FONT_NOT_AVAILABLE

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_FONT_NOT_AVAILABLE = 10
| static

Font not available

## ◆ CUSTOM_XMLPRINT_GENERIC_FAILURE

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_GENERIC_FAILURE = 1
| static

Generic failure

## ◆ CUSTOM_XMLPRINT_INTERNAL_LIBRARY_ERROR

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_INTERNAL_LIBRARY_ERROR = 4
| static

Internal engine library error

## ◆ CUSTOM_XMLPRINT_INVALID_ARGUMENT

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_INVALID_ARGUMENT = 2
| static

Invalid argument

## ◆ CUSTOM_XMLPRINT_LIBRARY_ERROR

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_LIBRARY_ERROR = 5
| static

Library error

## ◆ CUSTOM_XMLPRINT_NOT_CUSTOM_PRINTER

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_NOT_CUSTOM_PRINTER = 7
| static

Supplied printer is not a Custom printer

## ◆ CUSTOM_XMLPRINT_NOT_VALID_PRINTER

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_NOT_VALID_PRINTER = 3
| static

Printer name is not valid

## ◆ CUSTOM_XMLPRINT_PARSE_ERROR

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_PARSE_ERROR = 6
| static

Xml parsing error

## ◆ CUSTOM_XMLPRINT_SECURITY_ERROR

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_SECURITY_ERROR = 9
| static

Security error

## ◆ CUSTOM_XMLPRINT_SUCCESS

final int it.custom.powertool.api.android.CustomXmlException.CUSTOM_XMLPRINT_SUCCESS = 0
| static

Success